Subject: Re: set HOME environment
From: Earnie Boyd <[email-masked]>
To: Guansong Zhang <[email-masked]>
Cc: cygwin users <[email-masked]>
Date: Wed, 13 Sep 2000 12:12:52 -0700 (PDT)

*You* modify *your* /etc/profile to put quotes in the HOME variable.

HOME=\"/home/$USER\"

Cheers,
Earnie.

--- Guansong Zhang <[email-masked]> wrote:
> I put an echo $HOME before it is used in /etc/profile
> and found the result is
> 
> /cygdrive/e/Documents and Settings/zgs
> 
> it did not put any back slash before a space.
> 
> It should be a problem in algorithm to convert dir format in bash. I think
> you can reproduce the problem by set your HOME as a dir with a space in its
> name.
> 
> Regards,
> 
> Guansong
> 
> ----- Original Message -----
> From: "Earnie Boyd" <[email-masked]>
> To: "Guansong Zhang" <[email-masked]>
> Cc: "cygwin users" <[email-masked]>
> Sent: Wednesday, September 13, 2000 8:14 AM
> Subject: Re: set HOME environment
> 
> 
> > --- Guansong Zhang <[email-masked]> wrote:
> > > I quoted as
> > >
> > > set HOME="%USERPROFILE%"
> > >
> > > but it does not help.
> > >
> > > Besides, HOME is an environment in DOS, right? at least in previous
> cygwin
> > > version. This works before, only when I add
> > >
> > > --login -i
> > >
> > > as bash arguments. The problem comes. The new system seems specify the
> > > /home/$USER as the default home.
> > >
> >
> > See the /etc/profile file.  It modifies these variables when --login is
> used.
> >
> > Cheers,
> >
> > =====
> > --- <http://earniesystems.safeshopper.com> ---
> >    Earnie Boyd: <mailto:[email-masked]>
> >             __Cygwin: POSIX on Windows__
> > Cygwin Newbies: <http://gw32.freeyellow.com/>
> >            __Minimalist GNU for Windows__
> >   Mingw32 List: <http://www.egroups.com/group/mingw32/>
> >     Mingw Home: <http://www.mingw.org/>
> >
> > __________________________________________________
> > Do You Yahoo!?
> > Yahoo! Mail - Free email you can access from anywhere!
> > http://mail.yahoo.com/
> >

__________________________________________________
Do You Yahoo!?
Yahoo! Mail - Free email you can access from anywhere!
http://mail.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]